            #GIT_CMT=4e0b6015143dcc86f0b622f5576da7217e717016
# Copyright (c) 2018 Oracle. All rights reserved.
#
# spec file for package btrfs-progs
#
Name:		btrfs-progs
Version:	5.3.1
Release:    0.el7
Summary:	Btrfs filesystem utilities

Group:		System Environment/Base
License:	GPL+ and LGPLv2+
URL:		http://btrfs.wiki.kernel.org/index.php/Main_Page
Source: btrfs-progs-5.3.1.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf, automake
BuildRequires:	e2fsprogs-devel, libuuid-devel, zlib-devel
BuildRequires:	libacl-devel, libblkid-devel, lzo-devel
BuildRequires:	asciidoc, xmlto, libzstd-devel, libattr-devel

Patch0:	0001-btrfs-progs-do-not-enable-skinny_metadata-feature-by.patch

%description
Utilities needed to create and maintain btrfs filesystems under Linux

%package devel
Summary:	Btrfs filesystem libraries and headers
Group:		Development/Libraries
Requires:	btrfs-progs = %{version}-%{release}

%description devel
Include Files and Libraries for developing with Btrfs

%prep
%setup -q

%build
./autogen.sh
%configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" --disable-python
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make mandir=%{_mandir} bindir=%{_sbindir} libdir=%{_libdir} incdir=%{_includedir}/btrfs install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/bash-completion/completions
cp -f btrfs-completion $RPM_BUILD_ROOT/%{_datadir}/bash-completion/completions/btrfs

# Nuke the static lib
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libbtrfs.so.0*
%{_libdir}/libbtrfsutil.so.1*
%{_sbindir}/btrfsck
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfstune
%{_sbindir}/btrfs
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-find-root
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
%{_udevrulesdir}/64-btrfs-dm.rules
%{_datadir}/bash-completion/completions/btrfs

%files devel
%{_includedir}/*
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so

%changelog
* Wed Nov 27 2019 Anand Jain <anand.jain@oracle.com> - 5.3.1-0.el7
- btrfs-progs: spec: upstream release 5.3.1

* Thu Oct 31 2019 Anand Jain <anand.jain@oracle.com> - 5.3.1-0.{?dist}
  - New upstream release

* Mon Sep 23 2019 Anand Jain <anand.jain@oracle.com> - 5.2.2-0.{?dist}
  - Support btrfs-progs 5.2.2 add completion, libbtrfsutil, libattr-devel and
    disable-python
* Mon Sep 23 2019 Anand Jain <anand.jain@oracle.com> - 4.15.1.2.{?dist}
  - Add buildrpm tree for autobuilds
